Subject: Re: find problems
From: Earnie Boyd <[email-masked]>
To: Noel L Yap <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 21 Jul 2000 06:50:15 -0700 (PDT)

This is a long lasting bug that has been around since I started using b18.  It
has to do with the mounted directories.  In Jerome's case /c and /d.  I don't
remember that anything has been done about this recently so if you want it
fixed, download the source via CVS, build your cygwin1.dll with debug symbols,
debug it and submit a patch.

Cheers,
Earnie.

--- Noel L Yap <[email-masked]> wrote:
> Funny, I just reported the same problem.  I don't think I was getting this
> problem a few months ago (before I installed the latest Cygwin).  Anyway, I'm
> glad I'm not the only one.
> 
> As a wild guess, do you have any directories mounted on network drives?  If
> so,
> are you able to vi any network file via the directory path?  For example,  I
> have /home/nyap mounted to H:.  I can't "cd; vi .bash/.bashrc".  Might the
> two
> problems be related?
> 
> Noel
> 
> 
> 
> 
> [email-masked] on 2000.07.21 04:31:44
> 
> To:   [email-masked]
> cc:   (bcc: Noel L Yap)
> Subject:  find problems
> 
> 
> 
> 
> 
> I'm experiencing strange behavior with the "find" command.
> 
> I downloaded and installed cygwin 2 or 3 days ago with
> the default installation options.
> 
> When I try to use "find", it seems to choke on certain directories:
> 
> (thebertj)-FX959:/c >cd /
> (thebertj)-FX959:/ >find . > /dev/null
> find: ./c: No such file or directory
> find: ./cygwin.bat: No such file or directory
> find: ./cygwin.ico: No such file or directory
> find: ./d: No such file or directory
> find: ./etc: No such file or directory
> find: ./READMEopengl-1.2.1-1.txt: No such file or directory
> find: ./usr: No such file or directory
> find: ./var: No such file or directory
> 
> /c and /d are mount point for c:\ and d:\
> 
> Very strange because I can list them with "ls", view them
> with "cat" or even change directory to /var and /usr without
> any problem but "find" fail on some directory or files.
> 
> Any idea what could be the problem ?
> 
> Regards,
> Jerome
> __
>   - Jerome Thebert - Schlumberger RMS - Felixstowe (UK) - http://www.slb.com
>        Direct Phone: (0044)(0)1394 694226 - Shared Fax: (0044)(0)1394 276030
>               ------------------------------------------------------------
>                     "Always glad to share my ignorance - I've got plenty."
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 
> 
> 
> 
> 
> This communication is for informational purposes only.  It is not intended as
> an offer or solicitation for the purchase or sale of any financial instrument
> or as an official confirmation of any transaction. All market prices, data
> and other information are not warranted as to completeness or accuracy and
> are subject to change without notice. Any comments or statements made herein
> do not necessarily reflect those of J.P. Morgan & Co. Incorporated, its
> subsidiaries and affiliates.
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail – Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]